mysqld_multi(1)

NAME
mysqld_multi - is meant for managing several mysqld processes running in different UNIX sockets and TCP/IP ports.

USAGE
mysqld_multi [OPTIONS] {start|stop|report} [GNR,GNR,GNR...]

SYNOPSIS
mysqld_multi [--config-file=...] [--example] [--help] [--log=...] [--mysqladmin=...] [--mysqld=...] [--no-log] [--password=...] [--tcp-ip] [--user=...] [--version]

DESCRIPTION

mysqld_multi

--config-file=...
    Alternative config file. NOTE: This will not affect this program's own options (group [mysqld_multi]), but only groups [mysqld#]. Without this option everything will be searched from the ordinary my.cnf file.

--example
    Give an example of a config file.

--help
    Print this help and exit.

--log=...
    Log file. Full path to and the name for the log file. NOTE: If the file exists, everything will be appended.

--mysqladmin=...
    mysqladmin binary to be used for a server shutdown.

--mysqld=...
    mysqld binary to be used. Note that you can give mysqld_safe to this option also. The options are passed to mysqld. Just make sure you have mysqld in your environment variable PATH or fix mysqld_safe.

--no-log
    Print to stdout instead of the log file. By default the log file is turned on.

--password=...
    Password for user for mysqladmin.

--tcp-ip
    Connect to the MySQL server(s) via the TCP/IP port instead of the UNIX socket. This affects stopping and reporting. If a socket file is missing, the server may still be running, but can be accessed only via the TCP/IP port. By default connecting is done via the UNIX socket.

--user=...
    MySQL user for mysqladmin.

--version
    Print the version number and exit.

NOTE
Please see the mysql manual for more detailed information on this.

SEE ALSO
isamchk(1), isamlog(1), mysql(1), mysqlaccess(1), mysqladmin(1), mysqld(1), mysqld_safe(1), mysqldump(1), mysql_fix_privilege_tables(1), mysqlshow(1), mysql_zap(1), perror(1), replace(1)

For more information please refer to the MySQL reference manual, which may already be installed locally and which is also available online at http://www.mysql.com/doc/en/

BUGS
Please refer to http://bugs.mysql.com/ to report bugs.

AUTHOR
Ver 1.0, distribution 4.0.20 Michael (Monty) Widenius (monty@mysql.com), MySQL AB (http://www.mysql.com/). This software comes with no warranty. Manual page by L. (Kill-9) Pedersen (kill-9@kill-9.dk), Mercurmedia Data Model Architect / system developer (http://www.mercurmedia.com)